#pragma once
#include<vector>
#include<GL/gl.h>
#include<GL/glu.h>
#include<math.h>

#include<vcg/Point3.h>

using namespace std;
using namespace vcg;

class CIVertex
{
public :
	CIVertex(Point3d &pp, Point3d &nn) {p=pp; n=nn;}
	Point3d p;
	Point3d n;
};

class CIFace
{
public:
	CIVertex *v[3];
	Point3d n;
};

class CIMesh {
public:
	vector< CIVertex > vert;
	vector< CIFace > face;
	void ComputeFaceNormal();
	void ComputeVertNormal();
	void Draw();
	bool Empty() const {return vert.empty() &&  face.empty();}
	void Clear();
};
